UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMESourceEventAckInfo Class Reference

## Public Member Functions
| UMESourceEventAckInfo (int flags, long sequenceNumber, long rcvRegId, int storeIndex, String store, Object clientd) throws LBMEInvalException
long | sequenceNumber ()
long | receiverRegistrationId ()
int | flags ()
Object | clientObject ()
String | store ()
int | storeIndex ()

## Detailed Description

UME Source Event Ack Info class. Contains extended information for message stability and confirmed delivery source events.

Since
  UME 2.0

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMESourceEventAckInfo.UMESourceEventAckInfo | ( | int | flags,
|  | long | sequenceNumber,
|  | long | rcvRegId,
|  | int | storeIndex,
|  | String | store,
|  | Object | clientd
| ) |  | throws LBMEInvalException

Create a UMESourceEventAckInfo object and initialize all fields.

Parameters

  flags | Informational flags.
  sequenceNumber | Sequence number being acknowledged.
  rcvRegId | Registration ID of the receiver acknowledging the message, in the case of a confirmed delivery message.
  storeIndex | Index of the store acknowledging the message, for stability ACKs.
  store | Name of the store acknowledgment came from.
  clientd | Client-supplied callback object.

Exceptions

  LBMEInvalException | if sequenceNumber, rcvRegId, or storeIndex are < 0.

References com.latencybusters.lbm.UMESourceEventAckInfo.flags(), com.latencybusters.lbm.UMESourceEventAckInfo.sequenceNumber(), com.latencybusters.lbm.UMESourceEventAckInfo.store(), and com.latencybusters.lbm.UMESourceEventAckInfo.storeIndex().

## Member Function Documentation

Object com.latencybusters.lbm.UMESourceEventAckInfo.clientObject | ( |  | ) |

Get the client-supplied callback object.

Returns
  Client-supplied object.

Since
  UME 2.0

int com.latencybusters.lbm.UMESourceEventAckInfo.flags | ( |  | ) |

Get informational flags associated with the source event.

Returns
  Flags.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMESourceEventAckInfo.storeIndex(), and com.latencybusters.lbm.UMESourceEventAckInfo.UMESourceEventAckInfo().

long com.latencybusters.lbm.UMESourceEventAckInfo.receiverRegistrationId | ( |  | ) |

Get the receiver registration ID.

Returns
  Receiver registration ID.

Since
  UME 2.0

long com.latencybusters.lbm.UMESourceEventAckInfo.sequenceNumber | ( |  | ) |

Get the sequence number of the message the event was received for.

Returns
  Sequence number.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMESourceEventAckInfo.storeIndex(), and com.latencybusters.lbm.UMESourceEventAckInfo.UMESourceEventAckInfo().

String com.latencybusters.lbm.UMESourceEventAckInfo.store | ( |  | ) |

Get the name (IP address) of the store the event came from.

Returns
  Store name (IP address).

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMESourceEventAckInfo.storeIndex(), and com.latencybusters.lbm.UMESourceEventAckInfo.UMESourceEventAckInfo().

int com.latencybusters.lbm.UMESourceEventAckInfo.storeIndex | ( |  | ) |

Get the index of the store the source event came from.

Returns
  Store index.

Since
  UME 2.0

References com.latencybusters.lbm.UMESourceEventAckInfo.flags(), com.latencybusters.lbm.UMESourceEventAckInfo.sequenceNumber(), and com.latencybusters.lbm.UMESourceEventAckInfo.store().

Referenced by com.latencybusters.lbm.UMESourceEventAckInfo.UMESourceEventAckInfo().

The documentation for this class was generated from the following file:

- UMESourceEventAckInfo.java